package com.ruoyi.project.sems.service;

import java.util.List;
import com.ruoyi.project.sems.domain.TReportMonth;

/**
 * 月度检查Service接口
 * 
 * @author ruoyi
 * @date 2021-08-31
 */
public interface ITReportMonthService 
{
    /**
     * 查询月度检查
     * 
     * @param id 月度检查ID
     * @return 月度检查
     */
    public TReportMonth selectTReportMonthById(Long id);

    /**
     * 查询月度检查列表
     * 
     * @param tReportMonth 月度检查
     * @return 月度检查集合
     */
    public List<TReportMonth> selectTReportMonthList(TReportMonth tReportMonth);

    /**
     * 新增月度检查
     * 
     * @param tReportMonth 月度检查
     * @return 结果
     */
    public int insertTReportMonth(TReportMonth tReportMonth);

    /**
     * 修改月度检查
     * 
     * @param tReportMonth 月度检查
     * @return 结果
     */
    public int updateTReportMonth(TReportMonth tReportMonth);

    /**
     * 批量删除月度检查
     * 
     * @param ids 需要删除的月度检查ID
     * @return 结果
     */
    public int deleteTReportMonthByIds(Long[] ids);

    /**
     * 删除月度检查信息
     * 
     * @param id 月度检查ID
     * @return 结果
     */
    public int deleteTReportMonthById(Long id);
}
